summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2013-06-20 20:03:05 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-06-20 20:03:05 -0300
commitbfb7fed25a0fc6163d7fadd93efdd89978e4f9a5 (patch)
tree9934a390905422bb855d3fee9078eafb75bc4959 /audio
parentb85fa9d8a74c5b217c69e367bd6a6e6c3a0f8354 (diff)
downloadslackbuilds-bfb7fed25a0fc6163d7fadd93efdd89978e4f9a5.tar.gz
slackbuilds-bfb7fed25a0fc6163d7fadd93efdd89978e4f9a5.tar.xz
audio/jackmeter: Added (console peak meter for jack)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/jackmeter/README12
-rw-r--r--audio/jackmeter/doinst.sh1
-rw-r--r--audio/jackmeter/fix_manpage.diff33
-rw-r--r--audio/jackmeter/jackmeter.SlackBuild94
-rw-r--r--audio/jackmeter/jackmeter.info10
-rw-r--r--audio/jackmeter/setcap.sh1
-rw-r--r--audio/jackmeter/slack-desc19
7 files changed, 170 insertions, 0 deletions
diff --git a/audio/jackmeter/README b/audio/jackmeter/README
new file mode 100644
index 0000000000..bca5390674
--- /dev/null
+++ b/audio/jackmeter/README
@@ -0,0 +1,12 @@
+Jack Meter is a basic console based DPM (Digital Peak Meter) for JACK. The
+author wrote it for quickly checking remote signal levels, without having
+to run X11 to use a pretty graphical meter such as meterbridge.
+
+Note: the package is called jackmeter, but the actual binary is called
+jack_meter (with underscore).
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/jackmeter/doinst.sh b/audio/jackmeter/doinst.sh
new file mode 100644
index 0000000000..aab1947a69
--- /dev/null
+++ b/audio/jackmeter/doinst.sh
@@ -0,0 +1 @@
+setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/jack_meter
diff --git a/audio/jackmeter/fix_manpage.diff b/audio/jackmeter/fix_manpage.diff
new file mode 100644
index 0000000000..4fee0d4cc2
--- /dev/null
+++ b/audio/jackmeter/fix_manpage.diff
@@ -0,0 +1,33 @@
+diff -Naur jackmeter-0.4/jack_meter.1 jackmeter-0.4.patched/jack_meter.1
+--- jackmeter-0.4/jack_meter.1 2010-12-04 06:45:32.000000000 -0500
++++ jackmeter-0.4.patched/jack_meter.1 2013-05-12 11:37:39.000000000 -0400
+@@ -3,7 +3,7 @@
+ jack_meter \- Console based Digital Peak Meter for JACK
+ .SH SYNOPSYS
+ \fBjack_meter\fR [ \-f \fIfreqency\fR ] [ \-r \fIref-level\fR ]
+-[ \-w \fIwidth\fR ] [\-n ] [ \fI<port>\fR, ... ]
++[ \-w \fIwidth\fR ] [ \-n ] [ \fI<port>\fR, ... ]
+ .br
+ \fBjack_meter\fR
+ \-h
+@@ -25,17 +25,18 @@
+ .TP
+ \fB\-r \fI ref-level \fR
+ .br
+-The reference signal level for 0dB on the meter.
++The reference signal level for 0dB on the meter. Default is \fB0\fR.
+ .TP
+ \fB\-w \fI width \fR
+ .br
+ The width of the meter (number of characters). The default is \fB79\fR,
+ one less than the typical terminal width.
++.TP
+ \fB\-n
+ .br
+ Outputs meter level as a number in decibels instead of a bar graph display.
+
+-.SH SEE ALSO:
++.SH SEE ALSO
+ .br
+ http://www.aelius.com/njh/jackmeter/
+ .br
diff --git a/audio/jackmeter/jackmeter.SlackBuild b/audio/jackmeter/jackmeter.SlackBuild
new file mode 100644
index 0000000000..02a0548851
--- /dev/null
+++ b/audio/jackmeter/jackmeter.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for jackmeter
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=jackmeter
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# minor markup errors, plus document the default value for -r option
+patch -p1 < $CWD/fix_manpage.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Only add capability stuff if not disabled:
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ cat $CWD/setcap.sh >> $PKG/install/doinst.sh
+ # Only allow execution by audio group
+ chown root:audio $PKG/usr/bin/jack_meter
+ chmod 0750 $PKG/usr/bin/jack_meter
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/jackmeter/jackmeter.info b/audio/jackmeter/jackmeter.info
new file mode 100644
index 0000000000..eb890d39ad
--- /dev/null
+++ b/audio/jackmeter/jackmeter.info
@@ -0,0 +1,10 @@
+PRGNAM="jackmeter"
+VERSION="0.4"
+HOMEPAGE="http://www.aelius.com/njh/jackmeter/"
+DOWNLOAD="http://www.aelius.com/njh/jackmeter/jackmeter-0.4.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="f8915a1dd8ba448c3b9d62b30d107a22"
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/jackmeter/setcap.sh b/audio/jackmeter/setcap.sh
new file mode 100644
index 0000000000..3bf8747c5e
--- /dev/null
+++ b/audio/jackmeter/setcap.sh
@@ -0,0 +1 @@
+[ -x /sbin/setcap ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/jack_meter
diff --git a/audio/jackmeter/slack-desc b/audio/jackmeter/slack-desc
new file mode 100644
index 0000000000..366cf3d643
--- /dev/null
+++ b/audio/jackmeter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jackmeter: jackmeter (console peak meter for jack-audio-connection-kit)
+jackmeter:
+jackmeter: Jack Meter is a basic console based DPM (Digital Peak Meter) for
+jackmeter: JACK. The author wrote it for quickly checking remote signal levels,
+jackmeter: without having to run X11 to use a pretty graphical meter such as
+jackmeter: meterbridge.
+jackmeter:
+jackmeter:
+jackmeter:
+jackmeter:
+jackmeter: